com.ihr.xbrl.om.formula.functions.reusable

## Enum RC_XFI_concept_relationships.Axis

- java.lang.Object
- - java.lang.Enum<RC_XFI_concept_relationships.Axis>
  - - com.ihr.xbrl.om.formula.functions.reusable.RC_XFI_concept_relationships.Axis

- All Implemented Interfaces:
    RC_XFI_concept_relationshipsBase.Axis, java.io.Serializable, java.lang.Comparable<RC_XFI_concept_relationships.Axis>
  Enclosing class:
    RC_XFI_concept_relationships

      public static enum RC_XFI_concept_relationships.Axis
      extends java.lang.Enum<RC_XFI_concept_relationships.Axis>
      implements RC_XFI_concept_relationshipsBase.Axis

  The Enum Axis. At this level we define only those in the specification that belongs to the concept relationship

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ancestor` The ancestor.
    `ancestorOrSelf` The ancestor-or-self.
    `child` The child.
    `childOrSelf` The child-or-self.
    `descendant` The descendant.
    `descendantOrSelf` The descendant-or-self.
    `parent` The parent.
    `parentOrSelf` The parent-or-self.
    `sibling` The sibling.
    `siblingOrDescendant` The sibling or descendant.
    `siblingOrDescendantOrSelf` The sibling or descendant or self.
    `siblingOrSelf` The sibling-or-self.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RC_XFI_concept_relationships.Axis` | `fromString(java.lang.String text)` From string.
    `static RC_XFI_concept_relationships.Axis` | `fromXFIAxis(XFI_concept_relationships.Axis axis)` From xfi axis.
    `java.lang.String` | `getText()` Gets the text.
    `static RC_XFI_concept_relationships.Axis` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RC_XFI_concept_relationships.Axis[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### descendant

          public static final RC_XFI_concept_relationships.Axis descendant

      The descendant.

    - #### descendantOrSelf

          public static final RC_XFI_concept_relationships.Axis descendantOrSelf

      The descendant-or-self.

    - #### child

          public static final RC_XFI_concept_relationships.Axis child

      The child.

    - #### childOrSelf

          public static final RC_XFI_concept_relationships.Axis childOrSelf

      The child-or-self.

    - #### sibling

          public static final RC_XFI_concept_relationships.Axis sibling

      The sibling.

    - #### siblingOrSelf

          public static final RC_XFI_concept_relationships.Axis siblingOrSelf

      The sibling-or-self.

    - #### siblingOrDescendant

          public static final RC_XFI_concept_relationships.Axis siblingOrDescendant

      The sibling or descendant.

    - #### siblingOrDescendantOrSelf

          public static final RC_XFI_concept_relationships.Axis siblingOrDescendantOrSelf

      The sibling or descendant or self.

    - #### parent

          public static final RC_XFI_concept_relationships.Axis parent

      The parent.

    - #### parentOrSelf

          public static final RC_XFI_concept_relationships.Axis parentOrSelf

      The parent-or-self.

    - #### ancestor

          public static final RC_XFI_concept_relationships.Axis ancestor

      The ancestor.

    - #### ancestorOrSelf

          public static final RC_XFI_concept_relationships.Axis ancestorOrSelf

      The ancestor-or-self.

  - ### Method Detail

    - #### values

          public static RC_XFI_concept_relationships.Axis[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RC_XFI_concept_relationships.Axis c : RC_XFI_concept_relationships.Axis.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RC_XFI_concept_relationships.Axis valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getText

          public java.lang.String getText()

      Gets the text.
      Returns:
        the text

    - #### fromString

          public static RC_XFI_concept_relationships.Axis fromString(java.lang.String text)
                                                              throws XFException

      From string.
      Parameters:
        `text` - the text
      Returns:
        the axis
      Throws:
        `XFException` - the XF exception

    - #### fromXFIAxis

          public static RC_XFI_concept_relationships.Axis fromXFIAxis(XFI_concept_relationships.Axis axis)

      From xfi axis.
      Parameters:
        `axis` - the axis
      Returns:
        the axis